# Interface methods for submodule: MultiResolutionPyramidImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MultiResolutionPyramidImageFilter
class MultiResolutionPyramidImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfLevels(self, num: int) -> None:
		""""""
		...

	def GetNumberOfLevels(self) -> int:
		""""""
		...

	def SetSchedule(self, schedule) -> None:
		""""""
		...

	def GetSchedule(self):
		""""""
		...

	@overload
	def SetStartingShrinkFactors(self, factor: int) -> None:
		""""""
		...

	@overload
	def SetStartingShrinkFactors(self, factors) -> None:
		""""""
		...

	def GetStartingShrinkFactors(self):
		""""""
		...

	@staticmethod
	def IsScheduleDownwardDivisible(schedule) -> bool:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def GenerateOutputRequestedRegion(self, refOutput) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def SetMaximumError(self, _arg: float) -> None:
		""""""
		...

	def GetMaximumError(self) -> float:
		""""""
		...

	def SetUseShrinkImageFilter(self, _arg: bool) -> None:
		""""""
		...

	def GetUseShrinkImageFilter(self) -> bool:
		""""""
		...

	def UseShrinkImageFilterOn(self) -> None:
		""""""
		...

	def UseShrinkImageFilterOff(self) -> None:
		""""""
		...

